%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-TestGears
Version:        0.2
Release:        1%{dist}
Summary:        Unit testing for Python

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org/testgears/
Source0:        http://www.turbogears.org/download/eggs/TestGears-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools
Requires:       python-abi = %{pyver}

%description
TestGears provides automatic discovery of unittest.TestCases and the ability
to run tests that are written as simple functions. It generates a standard
unittest.TestSuite for use with any of the standard frontends, and provides
a distutils command to run tests with zero configuration.

%prep
%setup -q -n TestGears-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
echo "TestGears-%{version}-py%{pyver}.egg" > $RPM_BUILD_ROOT%{python_sitelib}/TestGears.pth
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs LICENSE.txt TODO.txt
%{python_sitelib}/TestGears-%{version}-py%{pyver}.egg
%{python_sitelib}/TestGears.pth

%changelog
* Sat Dec 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Initial RPM release
